Skip to content
Account Profile & Status

Submit Application V2

This interface is an upgraded version of the account opening application submission, supporting both individual and enterprise account opening with a more flexible and comprehensive data structure. By providing the user ID member_id, client type client_type and account opening form data (including document info, base info, contact info, tax info, account type, and risk assessment info), it creates an account opening application and returns the application ID application_id.

POSThttps://b-api.longbridge.xyz/v2/whaleapi/account/submit_application

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

member_idstringrequired

member ID. member ID

client_typeintegerrequired

client type. client type

open_infoobjectrequired

open account form. open account form

Child attributes
account_nostring

account number. account number

markstring

account mark. account mark

broker_codestring

broker code. broker code

uploadobjectrequired

upload info. upload info

Child attributes
card_countrystringrequired

certificate issuing location. certificate issuing location

card_typeobjectrequired

card type. card type

card_idstringrequired

card number. card number

first_namestringrequired

first name. first name

last_namestring

last name. last name

baseobjectrequired

base info. base info

Child attributes
country_codestringrequired

enterprise registration location. enterprise registration location

residence_countrystringrequired

residence country. residence country

residence_partstring

residence part. residence part

residence_descstringrequired

residence desc. residence desc

employobject

employ info. employ info

Child attributes
contactobject

contact. contact

Child attributes
emailsarray<object>required

contact email list. contact email list

Child attributes
emailstringrequired

contact email. contact email

phonesarray<object>required

phones

Child attributes
country_codeintegerrequired

country_code

mobilestringrequired

mobile

contact_typeintegerrequired

contact_type

typeintegerrequired

type

taxesarray<object>

taxs info. taxs info

Child attributes
countrystringrequired

tax country. tax country

idstring

tax id. tax id

financeobjectrequired

finance info. finance info

Child attributes
account_typestringrequired

account type. account type

riskobject

risk info. risk info

Child attributes
risk_toleranceobjectrequired

risk assessment info. risk assessment info

Child attributes
auditbooleanrequired

risk assessment status. risk assessment status

end_atintegerrequired

risk assessment time. risk assessment time

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure
application_idstringrequired

application_id

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs